Index: /main/trunk/greenstone3/web/interfaces/oran/js/berrybasket/ygDDPlayer.js
===================================================================
--- /main/trunk/greenstone3/web/interfaces/oran/js/berrybasket/ygDDPlayer.js	(revision 24018)
+++ /main/trunk/greenstone3/web/interfaces/oran/js/berrybasket/ygDDPlayer.js	(revision 24018)
@@ -0,0 +1,346 @@
+/* Copyright (c) 2006 Yahoo! Inc. All rights reserved. */
+
+function ygDDStack(id, sGroup) {
+	if (id) {
+		this.init(id, sGroup);
+		this.initFrame();
+	}
+}
+
+ygDDStack.prototype = new YAHOO.util.DDTarget();
+
+ygDDPlayer.TYPE = "ygDDPlayer";
+
+/**
+* @class a YAHOO.util.DDFramed implementation. During the drag over event, the
+* dragged element is inserted before the dragged-over element.
+*
+* @extends YAHOO.util.DDProxy
+* @constructor
+* @param {String} id the id of the linked element
+* @param {String} sGroup the group of related DragDrop objects
+*/
+function ygDDPlayer(id, sGroup, bl) {
+	this.initPlayer(id, sGroup);
+	this.berryList = bl;     
+	
+}
+
+ygDDPlayer.prototype = new YAHOO.util.DDProxy();
+
+ygDDPlayer.prototype.berryList = new Array();
+
+ygDDPlayer.prototype.initPlayer = function(id, sGroup) {
+	if (!id) { return; }
+
+	this.init(id, sGroup);
+	this.initFrame();
+	var s = this.getDragEl().style;
+	s.borderColor = "transparent";
+	// s.backgroundColor = "#cccccc";
+	s.opacity = 0.76;
+	s.filter = "alpha(opacity=76)";
+
+	// specify that this is not currently a drop target
+	this.isTarget = false;
+
+	this.originalStyles = [];
+
+	this.type = ygDDPlayer.TYPE;
+	this.slot = null;
+	this.startPos = YAHOO.util.Dom.getXY( this.getEl() );
+
+}
+
+ygDDPlayer.prototype.startDrag = function(x, y) {
+	
+	var dragEl = this.getDragEl();
+	var clickEl = this.getEl();
+	
+	dragEl.innerHTML = clickEl.innerHTML;
+	//dragEl.className = clickEl.className;
+	//dragEl.style.color = clickEl.style.color;
+	//dragEl.style.backgroundColor = clickEl.style.backgroundColor;
+	//dragEl.style.visibility = clickEl.style.visibility;
+	
+	while (dragEl.hasChildNodes())	{
+		dragEl.removeChild(dragEl.firstChild);
+	}	
+	
+	var img = document.createElement('img');
+	img.src = 'interfaces/oran/images/berry.png';
+	dragEl.appendChild(img);
+	
+	var added = true;
+
+	var s = clickEl.style;
+	s.opacity = .1;
+	s.filter = "alpha(opacity=10)";
+
+	var targets = YAHOO.util.DDM.getRelated(this, true);
+	
+	for (var i=0; i<targets.length; i++) {
+		
+		var targetEl = this.getTargetDomRef(targets[i]);
+
+		if (!this.originalStyles[targetEl.id]) {
+			this.originalStyles[targetEl.id] = targetEl.className;
+		}
+
+		targetEl.className = "target";
+	}
+	correctBerryExpandCollapseButtons();
+};
+
+ygDDPlayer.prototype.getTargetDomRef = function(oDD) {
+	if (oDD.player) {
+		return oDD.player.getEl();
+	} else {
+		return oDD.getEl();
+	}
+};
+
+ygDDPlayer.prototype.endDrag = function(e) {
+	// reset the linked element styles
+	var s = this.getEl().style;
+	s.opacity = 1;
+	s.filter = "alpha(opacity=100)";
+
+	this.resetTargets();
+};
+
+ygDDPlayer.prototype.resetTargets = function() {
+
+	// reset the target styles
+	var targets = YAHOO.util.DDM.getRelated(this, true);
+	for (var i=0; i<targets.length; i++) {
+		var targetEl = this.getTargetDomRef(targets[i]);
+		var oldStyle = this.originalStyles[targetEl.id];
+		if (oldStyle) {
+			targetEl.className = oldStyle;
+		}
+	}
+};
+
+var request_type = "GET";
+var addurlPath ="?a=pr&rt=r&ro=1&s=AddItem&c=&s1.id=2&o=XML&hhf=Cache-Control%3Dno-cache&s1.item=";
+var delurlPath ="?a=pr&rt=r&ro=1&s=DeleteItem&c=&o=XML&hhf=Cache-Control%3Dno-cache&s1.item=";
+var postdata = null;
+
+ygDDPlayer.prototype.onDragDrop = function(e, id) {
+	// get the drag and drop object that was targeted
+	var oDD;
+	var player = this;
+
+	if ("string" == typeof id) {
+		oDD = YAHOO.util.DDM.getDDById(id);
+	} else {
+		oDD = YAHOO.util.DDM.getBestMatch(id);
+	}
+
+
+	var el = this.getEl();
+
+	// check if the slot has a player in it already
+	if (oDD.player) {
+		// check if the dragged player was already in a slot
+		if (this.slot) {
+			// check to see if the player that is already in the
+			// slot can go to the slot the dragged player is in
+			// YAHOO.util.DDM.isLegalTarget is a new method
+			if ( YAHOO.util.DDM.isLegalTarget(oDD.player, this.slot) ) {
+				YAHOO.util.DDM.moveToEl(oDD.player.getEl(), el);
+				this.slot.player = oDD.player;
+				oDD.player.slot = this.slot;
+			} else {
+				YAHOO.util.Dom.setXY(oDD.player.getEl(), oDD.player.startPos);
+				this.slot.player = null;
+				oDD.player.slot = null
+			}
+		} else {
+			// the player in the slot will be moved to the dragged
+			// players start position
+			//oDD.player.slot = null;
+			//YAHOO.util.DDM.moveToEl(oDD.player.getEl(), el);
+		}
+	}else {
+		// Move the player into the emply slot
+		// I may be moving off a slot so I need to clear the player ref
+		if (this.slot) {
+			this.slot.player = null;
+		}
+	}
+
+	var  addurl = addurlPath + el.id;	
+	var addSuccess = function(o){
+		var text = o.responseText;
+		var result = o.responseXML;
+		var items = result.getElementsByTagName('item');
+		if (items.length > 0){
+			var item = items[0];
+			var berrybasket = YAHOO.util.Dom.get('berrybasket');
+			var berries = YAHOO.util.Dom.get('berries');
+			player.berryList[player.berryList.length]= item;     
+			
+			var itemID = item.getAttribute('collection')+":"+item.getAttribute('name');
+			var parent =el.parentNode;
+			parent.removeChild(el);
+			
+			if (parent !=null && parent.id == "documentberries"){
+				var root = YAHOO.util.Dom.get(itemID+":root");
+				var section = YAHOO.util.Dom.get(itemID+":section");
+				if(root!=null && root.id.indexOf(itemID) !=-1){
+					parent.removeChild(root);
+				}
+				
+				if(section!=null && section.id.indexOf(itemID) !=-1){
+					parent.removeChild(section);
+				}                                                
+			}
+			
+
+			if (!YAHOO.util.Dom.get('hideview') && player.berryList.length <13){
+				
+				while (berries.hasChildNodes()) {
+					berries.removeChild(berries.firstChild);
+				}
+				
+				for (var i =0; i < player.berryList.length; i++ ){
+					var img = document.createElement('img');
+					img.src = 'interfaces/oran/images/berry.png';
+					berries.appendChild(img);
+				}
+
+				correctBerryExpandCollapseButtons();
+				
+			}
+			else{
+				
+				
+				if (YAHOO.util.Dom.get('hideview')){
+					
+					var berryBasket  = YAHOO.util.Dom.get('berrybasket');
+					var berries  = YAHOO.util.Dom.get('berries');
+					var doclist = YAHOO.util.Dom.get('doclist'); 
+					var tid = el.id;                                  
+					var berryItem; 
+					var berryElement = document.createElement('li');
+					for (var i in player.berryList){
+						berryItem = player.berryList[i];
+						var id = berryItem.getAttribute('collection')+":"+berryItem.getAttribute('name');
+						if (id == tid){
+							var title = berryItem.getAttribute('title');
+							var root_title = berryItem.getAttribute('root_title');  
+							if (root_title != ""){
+								root_title +=":";
+							}
+							
+							title = root_title+title;	
+							if (title.length > 50){
+								title = title.substring(0,20)+" ... "+title.substr(title.length-35,35);
+							}
+							
+							berryElement.appendChild(document.createTextNode(title));
+							berryElement.setAttribute("class","berryitem");
+							doclist.appendChild(berryElement);
+							var heightStr =  berryBasket.style.height+"";
+							var height =parseInt(heightStr.substring(0,heightStr.length-2)) +18;                             
+							berryBasket.style.height = height;
+							berries.style.height = height;
+							break;
+						}
+					}
+				}    
+				
+			}
+		}
+		
+		//Makes sure all the berries on the page are up to date
+		checkout();
+	}
+
+	var addFailure = function(o){ alert("Adding berry failed" + o); }
+
+
+	var addcallback = {
+		success:addSuccess,
+		failure:addFailure,  
+		argument:player
+	}
+	
+
+	var  delurl = delurlPath + el.id;
+	var delSuccess = function(o){ 
+		var result = o.responseXML;
+		var parent =el.parentNode;
+		var ancestor = parent.parentNode;
+		if (parent == null) return;                   
+
+		ancestor.removeChild(parent);
+		
+		for (var i in player.berryList){
+			var berry = player.berryList[i];
+			
+			var id = berry['collection']+":"+berry['name'];
+			
+			if (id == el.id){
+				player.berryList.splice(i,1);
+				
+				break;
+			}
+
+		}
+
+		if (!parent.hasChildNodes()){
+			var content =  YAHOO.util.Dom.get('content');
+			while (content.hasChildNodes()) {
+				content.removeChild(content.firstChild);
+			}  
+			content.appendChild(document.createTextNode('Your berry basket is empty.'));
+		}
+		var trashbin =  YAHOO.util.Dom.get('trashbin');
+		if ( trashbin !=null){
+			trashbin.style.background = 'url("interfaces/default/images/trash-full.png") 0 0 no-repeat';
+		}
+	}                                       
+	
+
+	var delFailure = function(o){ alert("Deletion failed" + o);}
+
+
+	var delcallback = {
+		success:delSuccess,
+		failure:delFailure,  
+		argument:player
+	}
+	
+	if (id == 'berrybasket'){
+		YAHOO.util.Connect.asyncRequest(request_type , addurl , addcallback);    		
+	} else {
+		if (id == 'trashbin'){
+			YAHOO.util.Connect.asyncRequest(request_type , delurl , delcallback); 
+		}
+	}
+
+	this.resetTargets();  	
+	this.slot = oDD;	
+	this.slot.player = this;
+
+};
+
+ygDDPlayer.prototype.swap = function(el1, el2) {
+	var dom = YAHOO.util.Dom;
+	var pos1 = dom.getXY(el1);
+	var pos2 = dom.getXY(el2);
+	dom.setXY(el1, pos2);
+	dom.setXY(el2, pos1);
+};
+
+ygDDPlayer.prototype.onDragOver = function(e, id) {};
+
+ygDDPlayer.prototype.onDrag = function(e, id) {};
+
+
+
+
+
Index: /main/trunk/greenstone3/web/interfaces/oran/transform/document-scripts.xsl
===================================================================
--- /main/trunk/greenstone3/web/interfaces/oran/transform/document-scripts.xsl	(revision 24017)
+++ /main/trunk/greenstone3/web/interfaces/oran/transform/document-scripts.xsl	(revision 24018)
@@ -169,5 +169,5 @@
 				{
 					var textDiv = document.getElementById("gs-document-text");
-					textDiv.style.display = "none";
+					textDiv.style.visibility = "hidden";
 				}
 				
@@ -175,5 +175,5 @@
 				{
 					var textDiv = document.getElementById("gs-document-text");
-					textDiv.style.display = "block";
+					textDiv.style.visibility = "visible";
 				}
 				
@@ -183,4 +183,12 @@
 					bookDiv.style.visibility = "hidden";
 					bookDiv.style.height = "0px";
+					
+					var bookObject = document.getElementById("bookObject");
+					bookObject.style.visibility = "hidden";
+					bookObject.style.height = "0px";
+					
+					var bookEmbed = document.getElementById("bookEmbed");
+					bookEmbed.style.visibility = "hidden";
+					bookEmbed.style.height = "0px";
 				}
 				
@@ -190,4 +198,25 @@
 					bookDiv.style.visibility = "visible";
 					bookDiv.style.height = "600px";
+					
+					var bookObject = document.getElementById("bookObject");
+					bookObject.style.visibility = "visible";
+					bookObject.style.height = "600px";
+					
+					var bookEmbed = document.getElementById("bookEmbed");
+					bookEmbed.style.visibility = "visible";
+					bookEmbed.style.height = "600px";
+				}
+				
+				function swapLinkJavascript(rbOn)
+				{
+					var option = document.getElementById("rbOption");
+					if(rbOn)
+					{
+						option.setAttribute("onclick", "hideText(); showBook(); swapLinkJavascript(false);");
+					}
+					else
+					{
+						option.setAttribute("onclick", "hideBook(); showText(); swapLinkJavascript(true);");
+					}
 				}
 				
@@ -201,64 +230,42 @@
 				}
 				
-				function swapLinkJavascript(rbOn)
-				{
-					var option = document.getElementById("rbOption");
-					if(rbOn)
-					{
-						option.setAttribute("onclick", "hideText(); showBook(); swapLinkJavascript(false);");
-					}
-					else
-					{
-						option.setAttribute("onclick", "hideBook(); showText(); swapLinkJavascript(true);");
-					}
-				}
-				
 				function loadBook()
 				{
-					//Work out the URL to the cover image and the document
-					var img_cover = '</xsl:text><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>/index/assoc/<xsl:value-of select="metadataList/metadata[@name='assocfilepath']"/>/cover.jpg<xsl:text disable-output-escaping="yes">';
 					var doc_url = document.URL; 
 					doc_url = doc_url.replace(/(&amp;|\?)book=[a-z]+/gi,'');
-					doc_url += '&amp;book=flashxml';	
-					
-					//The outer OBJECT element
-					var objectElem = document.createElement("OBJECT");
-					objectElem.setAttribute("align", "middle");
-					objectElem.setAttribute("classid", "clsid:d27cdb6e-ae6d-11cf-96b8-444553540000");
-					objectElem.setAttribute("codebase", "http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0");
-					objectElem.setAttribute("height", "600px");
-					objectElem.setAttribute("width", "70%");
-					objectElem.setAttribute("id", "bookObject");
-					
-					//Parameter list
-					var params = new Array();
-					params[0] = createParam("allowScriptAccess", "always");
-					params[1] = createParam("movie", "RealisticBook.swf?src_image=" + escape(img_cover) + "&amp;doc_url=" + escape(doc_url));
-					params[2] = createParam("quality", "high");
-					params[3] = createParam("bgcolor", "#FFFFFF");
-					
-					//The embed element that goes into the object element
-					var embedElem = document.createElement("EMBED");
-					embedElem.setAttribute("allowScriptAccess", "always");
-					embedElem.setAttribute("swLiveConnect", "true");
-					embedElem.setAttribute("bgcolor", "#FFFFFF");
-					embedElem.setAttribute("height", "600px");
-					embedElem.setAttribute("name", "Book");
-					embedElem.setAttribute("pluginspage", "http://www.macromedia.com/go/getflashplayer");
-					embedElem.setAttribute("quality", "high");
-					embedElem.setAttribute("src", "RealisticBook.swf?src_image=" + escape(img_cover) + "&amp;doc_url=" + escape(doc_url));
-					embedElem.setAttribute("type", "application/x-shockwave-flash");
-					embedElem.setAttribute("width", "70%");
-					
-					//Append the param and embed elements to the object element
-					for(var i = 0; i &lt; params.length; i++)
-					{
-						objectElem.appendChild(params[i]);
-					}
-					objectElem.appendChild(embedElem);
-					
-					//Append the object element to the page
-					var flashDiv = document.getElementById("bookdiv");
-					flashDiv.appendChild(objectElem);
+					doc_url += '&amp;book=flashxml';
+					
+					var img_cover = '</xsl:text><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='httpPath']"/>/index/assoc/<xsl:value-of select="metadataList/metadata[@name='assocfilepath']"/>/cover.jpg<xsl:text disable-output-escaping="yes">';
+
+					var flash_plug_html = ""
+					flash_plug_html += '&lt;OBJECT align="middle" classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" \n';
+					flash_plug_html += '  height="600px" id="bookObject" swLiveConnect="true" \n';
+					flash_plug_html += '  codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0" \n';
+					flash_plug_html += '  width="70%"&gt;\n';
+					flash_plug_html += '    &lt;PARAM name="allowScriptAccess" value="always" /&gt;\n';
+					flash_plug_html += '    &lt;PARAM name="movie" value="Book.swf';
+					flash_plug_html += '?src_image=' + escape(img_cover);
+					flash_plug_html += '&amp;doc_url=' + escape(doc_url)
+					flash_plug_html += '" /&gt;\n';
+					flash_plug_html += '    &lt;PARAM name="quality" value="high" /&gt;\n';
+					flash_plug_html += '    &lt;PARAM name="bgcolor" value="#FFFFFF" /&gt;\n';
+					flash_plug_html += '    &lt;EMBED align="middle" \n';
+					flash_plug_html += '      allowScriptAccess="always" swLiveConnect="true" \n';
+					flash_plug_html += '      bgcolor="#FFFFFF" height="600px" name="Book" \n';
+					flash_plug_html += '      pluginspage="http://www.macromedia.com/go/getflashplayer" \n';
+					flash_plug_html += '      quality="high" id="bookEmbed"\n';
+					flash_plug_html += '      src="Book.swf';
+					flash_plug_html += '?src_image=' + escape(img_cover);
+					flash_plug_html += '&amp;doc_url=' + escape(doc_url);
+					flash_plug_html += '"\n'; 
+					flash_plug_html += '      type="application/x-shockwave-flash" width="70%" /&gt;\n';
+					flash_plug_html += '&lt;/OBJECT&gt;\n';
+					var flash_div = document.getElementById("bookdiv");
+					flash_div.innerHTML = flash_plug_html;
+				}
+				
+				if(document.URL.indexOf("book=on") != -1)
+				{
+					loadBook();
 				}
 			</xsl:text>
Index: /main/trunk/greenstone3/web/interfaces/oran/transform/pages/berry.xsl
===================================================================
--- /main/trunk/greenstone3/web/interfaces/oran/transform/pages/berry.xsl	(revision 24017)
+++ /main/trunk/greenstone3/web/interfaces/oran/transform/pages/berry.xsl	(revision 24018)
@@ -20,8 +20,13 @@
 	<xsl:template match="/page">
 		<xsl:variable name="clusterName"><xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
-		<script type="text/javascript" src="interfaces/oran/js/berrycheckout.js"><xsl:text> </xsl:text></script>
+		<script type="text/javascript" src="interfaces/oran/js/berrybasket/berrycheckout.js"><xsl:text> </xsl:text></script>
 		<script type="text/javascript">
-			var doc;
-			var docList = new Array();
+			<xsl:text disable-output-escaping="yes">
+				var doc;
+				var docList = new Array();
+				
+				//Slight hack so we can do things in the dev skin specifically
+				window.interfaceName = "dev";
+			</xsl:text>
 			<xsl:for-each select="/page/pageResponse/berryList/item">
 				<xsl:text disable-output-escaping="yes">doc = new Array();</xsl:text>
@@ -39,12 +44,12 @@
 		</script>
 
-		<div class="navList" id="berryCheckoutOptions">
-			<ul>
-				<li id="fullview" class="current"><span>Full View</span></li>
-				<li id="textview"><span>Text View</span></li>
-				<li id="email"><span>Email</span></li>
-			</ul>
+		<table class="navList" id="berryCheckoutOptions">
+			<tr>
+				<td id="fullview" class="current"><span>Full View</span></td>
+				<td id="textview"><span>Text View</span></td>
+				<td id="email"><span>Email</span></td>
+			</tr>
 			<div class="clear"><xsl:text> </xsl:text></div>
-		</div>
+		</table>
 		<div id="berryBasketContent"><span><xsl:text> </xsl:text></span></div>
 
Index: /main/trunk/greenstone3/web/interfaces/oran/transform/pages/classifier.xsl
===================================================================
--- /main/trunk/greenstone3/web/interfaces/oran/transform/pages/classifier.xsl	(revision 24017)
+++ /main/trunk/greenstone3/web/interfaces/oran/transform/pages/classifier.xsl	(revision 24018)
@@ -103,4 +103,5 @@
 				var expandImageURL = "</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'expand_image')"/><xsl:text disable-output-escaping="yes">";
 				var loadingImageURL = "</xsl:text><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'loading_image')"/><xsl:text disable-output-escaping="yes">";
+				var berryBaskets = "</xsl:text><xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/><xsl:text disable-output-escaping="yes">";
 				var inProgress = new Array();
 			
@@ -156,5 +157,10 @@
 
 						var url = document.URL;
-						url = url.replace(/(&amp;|\?)cl=([a-z\.0-9]+)/gi, "$1cl=" + sectionID + "&amp;excerptid=div" + sectionID);
+						url = url.replace(/(&amp;|\?)cl=[a-z\.0-9]+/gi, "$1cl=" + sectionID + "&amp;excerptid=div" + sectionID);
+			
+						if(berryBaskets == "on")
+						{
+							url = url + "&amp;berrybasket=on";
+						}
 
 						httpRequest.open('GET', url, true);
@@ -177,7 +183,12 @@
 										parent.appendChild(newDiv);
 									}
-
+									
 									newDiv.innerHTML = httpRequest.responseText;
 									sectionToggle.setAttribute("src", collapseImageURL);
+									
+									if(berryBaskets == "on")
+									{
+										checkout();
+									}
 								}
 								else
Index: /main/trunk/greenstone3/web/interfaces/oran/transform/pages/document.xsl
===================================================================
--- /main/trunk/greenstone3/web/interfaces/oran/transform/pages/document.xsl	(revision 24017)
+++ /main/trunk/greenstone3/web/interfaces/oran/transform/pages/document.xsl	(revision 24018)
@@ -63,5 +63,11 @@
 	<xsl:template match="/page/pageResponse/document">
 		<xsl:if test="$bookswitch = 'off'">
-			<div id="bookdiv" style="visibility:hidden; height:0px;"><xsl:text> </xsl:text></div>
+			<div id="bookdiv" style="visibility:hidden; height:0px; display:inline;"><xsl:text> </xsl:text></div>
+		
+			<!-- Adds the realistic books javascript if necessary ( *** in document-scripts.xsl *** ) -->
+			<xsl:if test="/page/pageResponse/collection[@name = $collName]/metadataList/metadata[@name = 'tidyoption'] = 'tidy'">
+				<xsl:call-template name="realisticBooksScript"/>
+			</xsl:if>
+			
 			<!-- Add the Javascript that adds and removes highlighting ( *** in document-scripts.xsl *** ) -->
 			<xsl:call-template name="highlightingScript"/>
@@ -107,4 +113,5 @@
 			<xsl:when test="$bookswitch = 'on'">
 				<!-- *** in document-scripts.xsl *** -->
+				<div id="bookdiv" style="display:inline;"><xsl:text> </xsl:text></div>
 				<xsl:call-template name="realisticBooksScript"/>
 			</xsl:when>
@@ -306,5 +313,4 @@
 	
 	<xsl:template name="viewOptions">
-		<xsl:call-template name="realisticBooksScript"/>
 		<table class="viewOptions"><tr>
 			<!-- Realistic books link -->
@@ -312,5 +318,8 @@
 				<td>
 					<!-- old url = {$library_name}?a=d&amp;c={$collName}&amp;d={/page/pageResponse/document/documentNode[1]/@nodeID}&amp;dt={/page/pageResponse/document/documentNode/@docType}&amp;p.a=b&amp;p.s={/page/pageResponse/service/@name}&amp;book=on&amp;ed=1 -->
-					<div title="Realistic book view" id="rbOptionDiv"><input id="rbOption" type="checkbox" onclick="bookInit();" class="optionCheckBox"/></div>
+					<img>
+						<xsl:attribute name="src"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'realistic_books_image')"/></xsl:attribute>
+					</img>
+					<input id="rbOption" type="checkbox" onclick="bookInit();" class="optionCheckBox"/>
 				</td>
 			</xsl:if>
@@ -319,21 +328,22 @@
 			<xsl:if test="/page/pageRequest/paramList/param[@name = 'p.a']/@value = 'q'">
 				<td>
-					<div id="highlightOptionDiv" title="Search term highlighting">
-						<input id="highlightOption" type="checkbox" class="optionCheckBox">
-							<xsl:choose>
-								<xsl:when test="/page/pageRequest/paramList/param[@name = 'hl']/@value = 'on'">
-									<xsl:attribute name="onclick">
-										<xsl:text>removeHighlight();</xsl:text>
-									</xsl:attribute>
-									<xsl:attribute name="checked">true</xsl:attribute>
-								</xsl:when>
-								<xsl:otherwise>
-									<xsl:attribute name="onclick">
-										<xsl:text>addHighlight();</xsl:text>
-									</xsl:attribute>
-								</xsl:otherwise>
-							</xsl:choose>
-						</input>
-					</div>
+					<img>
+						<xsl:attribute name="src"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'highlight_image')"/></xsl:attribute>
+					</img>
+					<input id="highlightOption" type="checkbox" class="optionCheckBox">
+						<xsl:choose>
+							<xsl:when test="/page/pageRequest/paramList/param[@name = 'hl']/@value = 'on'">
+								<xsl:attribute name="onclick">
+									<xsl:text>removeHighlight();</xsl:text>
+								</xsl:attribute>
+								<xsl:attribute name="checked">true</xsl:attribute>
+							</xsl:when>
+							<xsl:otherwise>
+								<xsl:attribute name="onclick">
+									<xsl:text>addHighlight();</xsl:text>
+								</xsl:attribute>
+							</xsl:otherwise>
+						</xsl:choose>
+					</input>
 				</td>
 			</xsl:if>
